package com.engine.salary.mapper.taxdeclaration;

import com.engine.salary.entity.taxdeclaration.po.TaxDeclarationPO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;


public interface TaxDeclarationMapper {


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	TaxDeclarationPO getById(Long id);
	

	/**
	 * 条件查询
	 *
	 * @return 返回集合，没有返回空List
	 */

	List<TaxDeclarationPO> listSome(TaxDeclarationPO taxDeclarationPO);
	/**
	 * 批量插入
	 *
	 * @param taxDeclarationDetails
	 */
	void batchInsert(@Param("collection") Collection<TaxDeclarationPO> taxDeclarationDetails);

	/**
	 * 根据id删除个税申报表
	 *
	 * @param ids
	 */
	void deleteByIds(@Param("ids") Collection<Long> ids);

	int deleteByIdZj(Long id);
}